lv2-c++-tools - library and tools for LV2 plugins

Distribution: Ubuntu 12.04 LTS (Precise Pangolin)
Repository: Ubuntu Universe amd64
Package name: lv2-c++-tools
Package version: 1.0.4
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 316 B
Download size: 64.24 KB
Official Mirror:
These are some tools and libraries that may come in handy when writing LV2 plugins in C++. The following static libraries are provided: * liblv2-plugin is a C++ library that you can use to write LV2 plugins by inheriting from a plugin base class and overriding a small number of functions. * liblv2-gui is a C++ library that you can use to write LV2 plugin GUIs. This package also contains the binaries lv2peg and lv2soname: * lv2peg is a program that generates C header files from Turtle files containing LV2 plugin data. * lv2soname is a program that generate the RDF triples needed to tell hosts that the library with that soname must never be unloaded even after your plugin GUI library has been unloaded. This package provides runtime objects and development files.



  • libpaq0 <= 1.0.4-1


    Source package: lv2-c++-tools

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install lv2-c++-tools deb package:
      # sudo apt-get install lv2-c++-tools


    • /usr/bin/lv2peg
    • /usr/bin/lv2soname
    • /usr/include/lv2-c++-tools/lv2.h
    • /usr/include/lv2-c++-tools/lv2_contexts.h
    • /usr/include/lv2-c++-tools/lv2_event.h
    • /usr/include/lv2-c++-tools/lv2_event_helpers.h
    • /usr/include/lv2-c++-tools/lv2_osc.h
    • /usr/include/lv2-c++-tools/lv2_saverestore.h
    • /usr/include/lv2-c++-tools/lv2_ui.h
    • /usr/include/lv2-c++-tools/lv2_ui_presets.h
    • /usr/include/lv2-c++-tools/lv2_uri_map.h
    • /usr/include/lv2-c++-tools/lv2gui.hpp
    • /usr/include/lv2-c++-tools/lv2plugin.hpp
    • /usr/include/lv2-c++-tools/lv2synth.hpp
    • /usr/include/lv2-c++-tools/lv2types.hpp
    • /usr/lib/liblv2-gui.a
    • /usr/lib/liblv2-plugin.a
    • /usr/lib/pkgconfig/lv2-gui.pc
    • /usr/lib/pkgconfig/lv2-plugin.pc
    • /usr/share/doc/lv2-c++-tools/changelog.Debian.gz
    • /usr/share/doc/lv2-c++-tools/copyright
    • /usr/share/man/man1/lv2peg.1.gz
    • /usr/share/man/man1/lv2soname.1.gz


    2011-03-25 - Alessio Treglia <> lv2-c++-tools (1.0.4-3) unstable; urgency=low * Install all missing headers.

    2011-03-23 - Alessio Treglia <> lv2-c++-tools (1.0.4-2) unstable; urgency=low * Re-introduce static objects lv2-{gui,plugin}. After a brief chat with Lars on IRC, we realize that it is unappropriate to go on diverging from upstream build strategies. So, I am re-introducing the static objects lv2-{gui,plugin} in order to avoid breakage with some LV2 hosts. * Change section of lv2-c++-tools to libdevel. * Re-write packages descriptions. * Set Breaks/Replaces fields properly, since some files have moved from libpaq-dev to lv2-c++-tools. * Add Suggests: lv2-c++-tools-doc on lv2-c++-tools.

    2011-02-27 - Alessio Treglia <> lv2-c++-tools (1.0.4-1) unstable; urgency=low * New upstream release: - Fixed bug in LV2::Synth that made all synth plugins require the event refcounting feature. * Small fix to doc-base control file.

    2010-08-07 - Alessio Treglia <> lv2-c++-tools (1.0.3-3) unstable; urgency=medium * libpaq must provide all symbols brought by liblv2-{gui,plugin}.a (Closes: #592061). * Bump Standards.

    2010-06-25 - Alessio Treglia <> lv2-c++-tools (1.0.3-2) unstable; urgency=low * Switch to format 3.0 (quilt). * libpaq-dev depends on libgtkmm-2.4-dev. * Add .gitignore file * Add debian/gbp.conf file. * Install paq.pc only since we don't provide lv2-{gui,plugin} static libraries. * libpaq-dev must depend on gtkmm-2.4.

    2010-05-12 - Jaromír Mikeš <> lv2-c++-tools (1.0.3-1) unstable; urgency=low * Initial release (Closes: #581419)